osgDB::ImageOptions::PixelWindow Struct Reference

`#include <ImageOptions>`

## Public Member Functions

| PixelWindow ()
void | set (unsigned int x, unsigned int y, unsigned int w, unsigned int h)

## Public Attributes

unsigned int | windowX
unsigned int | windowY
unsigned int | windowWidth
unsigned int | windowHeight

## Detailed Description

PixelWindow stores the window (in exact pixels) from the overall imagery from which to extract the osg::Image

## Constructor & Destructor Documentation

## PixelWindow()

osgDB::ImageOptions::PixelWindow::PixelWindow | ( |  | ) |

inline

References windowHeight, windowWidth, windowX, and windowY.

## Member Function Documentation

## set()

void osgDB::ImageOptions::PixelWindow::set | ( | unsigned int | x,
|  | unsigned int | y,
|  | unsigned int | w,
|  | unsigned int | h )

inline

References windowHeight, windowWidth, windowX, and windowY.

## Member Data Documentation

## windowHeight

unsigned int osgDB::ImageOptions::PixelWindow::windowHeight

Referenced by PixelWindow(), and set().

## windowWidth

unsigned int osgDB::ImageOptions::PixelWindow::windowWidth

Referenced by PixelWindow(), and set().

## windowX

unsigned int osgDB::ImageOptions::PixelWindow::windowX

Referenced by PixelWindow(), and set().

## windowY

unsigned int osgDB::ImageOptions::PixelWindow::windowY

Referenced by PixelWindow(), and set().

The documentation for this struct was generated from the following file:

- ImageOptions